let _ = require('lodash/fp')
let F = require('futil')

let data = [
    {timePeriod: 'asdf', a: 1, b:2},
    {a: 2}
]

let columnStats = _.curry((f, data) =>
  _.flow(
    _.head,
    F.mapValuesIndexed((val, key) => f(key, data))
  )(data)
)

let compactMean = _.flow(F.compactMap, _.mean)

let getCohortsAverage = _.flow(
  columnStats(compactMean),
  _.omit('timePeriod')
)


getCohortsAverage(data);
